{
    "type":         "project",
    "version":      "2.6.0",
    "description":  "Départements-Notaires v2",
    "name":         "departements-notaires/departements-notaires-v2",
    "license":      "AGPL-3.0",
    "homepage":     "https://gitlab.adullact.net/departements-notaires/departements-notaires-v2",
    "repositories": {
        "local/jpgraph": {
            "type":    "path",
            "url":     "libs/JpGraph",
            "options": {
                "symlink": false
            }
        }
    },
    "require":      {
        "php": "^8.1",
        "ext-ctype": "*",
        "ext-iconv": "*",
        "ext-intl": "*",
        "ext-json": "*",
        "ext-xml": "*",
        "ext-openssl": "*",
        "beberlei/doctrineextensions": "^1.5",
        "doctrine/annotations": "^2.0",
        "doctrine/doctrine-bundle": "^2.12",
        "doctrine/doctrine-migrations-bundle": "^3.3",
        "doctrine/orm": "^3.1",
        "hackzilla/password-generator": "^1.6",
        "laminas/laminas-code": "^4.13",
        "liip/imagine-bundle": "^2.12",
        "local/jpgraph": "^4.3",
        "ocramius/package-versions": "^2.8",
        "phpdocumentor/reflection-docblock": "^5.4",
        "phpstan/phpdoc-parser": "^1.29",
        "rollerworks/password-strength-bundle": "^2.2",
        "spipu/html2pdf": "^5.2",
        "symfony/asset": "6.4.*",
        "symfony/console": "6.4.*",
        "symfony/dotenv": "6.4.*",
        "symfony/expression-language": "6.4.*",
        "symfony/flex": "^2.4",
        "symfony/form": "6.4.*",
        "symfony/framework-bundle": "6.4.*",
        "symfony/http-client": "6.4.*",
        "symfony/intl": "6.4.*",
        "symfony/mailer": "6.4.*",
        "symfony/monolog-bundle": "^3.1",
        "symfony/notifier": "6.4.*",
        "symfony/process": "6.4.*",
        "symfony/property-access": "6.4.*",
        "symfony/property-info": "6.4.*",
        "symfony/security-bundle": "6.4.*",
        "symfony/serializer": "6.4.*",
        "symfony/string": "6.4.*",
        "symfony/translation": "6.4.*",
        "symfony/twig-bundle": "6.4.*",
        "symfony/validator": "6.4.*",
        "symfony/web-link": "6.4.*",
        "symfony/webpack-encore-bundle": "^2.1",
        "symfony/yaml": "6.4.*",
        "twig/extra-bundle": "^3.10",
        "twig/intl-extra": "^3.10",
        "twig/twig": "^3.10"
    },
    "require-dev":  {
        "doctrine/doctrine-fixtures-bundle": "^3.6",
        "friendsofphp/php-cs-fixer": "^3.56",
        "overtrue/phplint": "^9.2",
        "phpstan/phpstan": "^1.11",
        "phpunit/phpunit": "^9.5",
        "squizlabs/php_codesniffer": "^3.9",
        "symfony/apache-pack": "^1.0",
        "symfony/browser-kit": "6.4.*",
        "symfony/css-selector": "6.4.*",
        "symfony/debug-bundle": "6.4.*",
        "symfony/maker-bundle": "^1.59",
        "symfony/phpunit-bridge": "6.4.*",
        "symfony/stopwatch": "6.4.*",
        "symfony/web-profiler-bundle": "6.4.*"
    },
    "config":       {
        "optimize-autoloader": true,
        "preferred-install":   {
            "*": "dist"
        },
        "sort-packages":       true,
        "allow-plugins": {
            "symfony/flex": true
        }
    },
    "autoload":     {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "replace":      {
        "paragonie/random_compat": "2.*",
        "symfony/polyfill-ctype":  "*",
        "symfony/polyfill-iconv":  "*",
        "symfony/polyfill-php81":  "*",
        "symfony/polyfill-php74":  "*",
        "symfony/polyfill-php71":  "*",
        "symfony/polyfill-php70":  "*",
        "symfony/polyfill-php56":  "*"
    },
    "scripts":      {
        "auto-scripts":     {
            "cache:clear":                 "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd"
        },
        "phpcs": "vendor/bin/phpcs",
        "phplint": "vendor/bin/phplint",
        "phpunit": "vendor/bin/phpunit",
        "phpstan": "vendor/bin/phpstan analyse -c phpstan.neon",
        "phpcs-fix": "vendor/bin/php-cs-fixer fix",
        "phpcbf": "vendor/bin/phpcbf",
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd":  [
            "@auto-scripts"
        ]
    },
    "conflict":     {
        "symfony/symfony": "*"
    },
    "extra":        {
        "symfony": {
            "allow-contrib": false,
            "require":       "6.4.*",
            "docker": true
        }
    }
}
